/* CSS-stilar för Lösenordsgeneratorn */

* {
	color: #ccc;
}
body {
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-family: Arial, sans-serif;
    background-color: #444;
}
.container {
    text-align: center;
    background: #ddd;
	padding: 1rem 1.4rem;
	border-radius: 5px;
    box-shadow: 0 0 10px rgba(0,0,0,0.1);
    max-width: 90%;
    margin: 1rem;
}
#password, .password-item {
    font-size: 1.2rem;
	font-family: monospace;
    margin: 0 0.5rem 0.5rem 0;
    display: inline-block;
    word-break: break-all;
	color: #111
}
.password-item {
    cursor: pointer;
    padding: 0.2rem 0.5rem;
    border-radius: 5px;
    transition: background-color 0.3s;
}
.password-item:hover {
    background-color: #bbb;
}
.password-item.copied {
    background-color: #bbb;
}
.password-item.done {
    background-color: #bbb;
    color: #333;
}
button {
    font-size: 1rem;
    padding: 0.5rem 1rem;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}
button:hover {
    background-color: #45a049;
}
button.copied {
    background-color: #666;
}
#refreshButton {
    background-color: #aaa;
}
#refreshButton:hover {
    background-color: #999;
}
.refresh-container {
    text-align: center;
    margin: 1rem 0;
}
.disclaimer {
    font-size: 0.8rem;
    color: #aaa;
    margin-top: 1rem;
    text-align: center;
}
.password-list {
    list-style: none;
    padding: 0;
    margin: 0.5rem 0;
}
a {
    color: #aaa;
    text-decoration: none;
}
a:hover {
    color: #ccc;
}
.variants {
	font-family: monospace;
	margin: 2em 0 0 0;
	text-align: center;
}
.variants a:hover {
    text-decoration: underline;
}
@media (max-width: 600px) {
    #password, .password-item {
        font-size: 1.2rem;
    }
    button {
        font-size: 0.9rem;
        padding: 0.4rem 0.8rem;
    }
    .container {
        padding: 1rem;
    }
}
